%define	version	1.3.3
%define	release	%mkrel 1

%define	name	cln
%define	major	6
%define	libname	%mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:	C++ Class Library for Numbers
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sciences/Mathematics
Source0:	ftp://ftpthep.physik.uni-mainz.de/pub/gnu/%{name}-%{version}.tar.xz
URL:		http://www.ginac.de/CLN/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gmp-devel

%description
A GPLed collection of C++ math classes and functions, that will bring
efficiency, type safety, algebraic syntax to everyone in a memory
and speed efficient library.

%package -n	%{libname}
Summary:	C++ Class Library for Numbers
Group:		Sciences/Mathematics
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
A GPLed collection of C++ math classes and functions, that will bring
efficiency, type safety, algebraic syntax to everyone in a memory
and speed efficient library.

%package -n	%{develname}
Summary:	Development files for programs using the CLN library
Group:		Development/Libraries
Requires(post):	/sbin/install-info
Requires(preun): /sbin/install-info
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	libcln4-devel libcln6-devel

%description -n %{develname}
This package is necessary if you wish to develop software based on
the CLN library.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

# prepare documents
%{__rm} -rf documents
%{__mkdir} documents
#%{__mv} %{buildroot}%{_datadir}/html documents/
%{__cp} --parents examples/* documents/
#%{__rm} -rf %{buildroot}%{_datadir}/dvi

rm -f %buildroot%{_libdir}/*.la

%clean
%{__rm} -rf %{buildroot}


%post -n %{develname}
%_install_info %{name}.info

%preun -n %{develname}
%_remove_install_info %{name}.info

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%doc ChangeLog COPYING NEWS README TODO documents/*
%{_bindir}
%{_includedir}

%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_infodir}/*.info*
%{_mandir}/man1/*


%changelog
* Sun Mar 09 2014 bb <bb> 1.3.3-1pclos2014
- rebuild for new gmp on 32bit
- drop .la files

* Wed Nov 24 2010 Texstar <texstar at gmail.com> 1.3.1-2pclos2010
- fix devel package no major

* Wed Nov 24 2010 MBantz <martin dot bantz at gmail dot com> 1.3.1-1pclos2010
- Update to 1.3.1

